public interface ITenantTemplateAPI
| Modifier and Type | Method and Description |
|---|---|
CreateTenantTemplateResponse |
createTenantTemplate(CreateTenantTemplateRequest createTenantTemplateRequest)
Create a new tenant template using the provided tenantId.
|
TenantTemplateElement |
getTenantTemplate(java.lang.String sID)
Retrieve the current tenant template.
|
TenantTemplateElement getTenantTemplate(java.lang.String sID) throws java.lang.Exception
sID - session id.java.lang.ExceptionCreateTenantTemplateResponse createTenantTemplate(CreateTenantTemplateRequest createTenantTemplateRequest) throws java.lang.Exception
createTenantTemplateRequest - the request parameters.200 OK and a body containing a CreateTenantTemplateResponse when the template creation was successful.
It will return code 400 Bad Request and a body containing an ErrorMessage when mandatory parameters are missing and/or validation fails.java.lang.ExceptionCopyright © 2015 Trend Micro Inc. All Rights Reserved.